Subject: bug#71473: 30.0.50; crash in restore_kboard_configuration after pop_kboard

From: Daniel Clemente <[email-masked]>
Date: Tue, 11 Jun 2024 16:52:23 +0000

> Sorry, I'm going to drop the ball on this one.  You've somehow caused
> Emacs to enter the debugger while in redisplay, which causes us to
> throw to top-level.  I think it's okay for Emacs to commit suicide in
> that case.

Ok, since it's a rare bug.

I'll remind myself that calling (debug) can in some cases crash the
server, and I'll try to avoid using (debug) to reproduce other bugs.